/**
 * Author: S. Smith
 * Revised: March 5, 2008
 * 
 * Revised author: O. Huyn
 * Revised: March 19, 2017
 *
 * Description: Invalid Point Exception
 */

/**
 * @brief An exception for an invalid point.
 */
public class InvalidPointException extends RuntimeException
{
   public InvalidPointException()
   {
     super();
   }
   public InvalidPointException(String reason)
   {
     super(reason);
   }
}
