import java.awt.Rectangle;
public class DataSetStrategyTest
{
   public static void main(String[] args)
   {
     class RectangleMeasurer implements Measurer
     {
       public double measure(Object anObject)
       {
         Rectangle aRectangle = (Rectangle) anObject;
         double area = aRectangle.getWidth() * aRectangle.getHeight();
         return area;
       }
     }
     Measurer m = new RectangleMeasurer();
     DataSetStrategy data = new DataSetStrategy(m);
     data.add(new Rectangle(5, 10, 20, 30));
     data.add(new Rectangle(10, 20, 30, 40));
     System.out.println("Average area = " + data.getAverage());
     Rectangle max = (Rectangle) data.getMaximum();
     System.out.println("Maximum area = " + m.measure(max));
   }
}