/**
 * Author: S. Smith
 * Revised: March 5, 2017
 * 
 * Description: Vector ADT class
 */

import static java.lang.Math.*;

public class VectorT
{

   protected double xc;

   protected double yc;

   public VectorT(double x, double y)
   {
     xc = x;
     yc = y;
   }

   public double xcrd()
   {
     return xc;
   }

   public double ycrd()
   {
     return yc;
   }

   public double mag()
   {
     return sqrt(pow(xc, 2.0) + pow(yc, 2.0));
   }
}
